Operating System:

Description

Supplement 239 introduced a new Structured Reporting IOD and Storage SOP Class that should be supported by various DCMTK
modules, e.g. dcmdata, dcmnet and demsr.

History

#1 - 2024-06-18 10:58 - Jorg Riesmeier

- Description updated

#2 - 2024-08-14 12:56 - Jorg Riesmeier
- % Done changed from 0 to 20

The definition of the associated SOP Class UID and basic support for the Storage SOP Class have been added with commit d0614c1d84 and
ca7d304eel.
That means, the required changes to dcmdata and dcmnet have been implemented; the dcmsr module is still missing full support for the new SR 10D.

#3 - 2024-09-06 15:20 - Jorg Riesmeier
- Status changed from New to Closed

- % Done changed from 20 to 100

- Estimated time set to 5:00 h

Closed with commit 919e3a92d.

2025-09-06 1/1



https://dicom.nema.org/medical/dicom/final/sup239_ft_WaveformAnnotationSR.pdf
http://www.tcpdf.org

